- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
STOFFGraphicListenerInternal::GraphicState Struct Reference

the global graphic state of STOFFGraphicListener More...

## Public Member Functions
| GraphicState (std::vector< STOFFPageSpan > const &pageList)
| constructor More...
| ~GraphicState ()
| destructor More...

## Public Attributes
std::vector< STOFFPageSpan > | m_pageList
| the pages definition More...
librevenge::RVNGPropertyList | m_metaData
| the document meta data More...
bool | m_isDocumentStarted
| a flag to know if the document is open More...
bool | m_isPageSpanOpened
| true if a page is open More...
bool | m_isMasterPageSpanOpened
| true if a masterpage is open More...
bool | m_isAtLeastOnePageOpened
| true if the first page has been open More...
bool | m_isHeaderFooterOpened
| a flag to know if the header footer is started More...
bool | m_isHeaderFooterRegionOpened
| a flag to know if the header footer region is started More...
STOFFPageSpan | m_pageSpan
| ! the current page span More...
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list More...
std::vector< STOFFSubDocumentPtr > | m_subDocuments
| the list of actual subdocument More...
std::set< librevenge::RVNGString > | m_definedGraphicStyleSet
| the set of defined graphic style More...

## Detailed Description

the global graphic state of STOFFGraphicListener

## Constructor & Destructor Documentation

STOFFGraphicListenerInternal::GraphicState::GraphicState | ( | std::vector< STOFFPageSpan > const & | pageList | ) |
| inline explicit

constructor

STOFFGraphicListenerInternal::GraphicState::~GraphicState | ( |  | ) |
| inline

destructor

## Member Data Documentation

std::set<librevenge::RVNGString> STOFFGraphicListenerInternal::GraphicState::m_definedGraphicStyleSet

the set of defined graphic style

bool STOFFGraphicListenerInternal::GraphicState::m_isAtLeastOnePageOpened

true if the first page has been open

bool STOFFGraphicListenerInternal::GraphicState::m_isDocumentStarted

a flag to know if the document is open

bool STOFFGraphicListenerInternal::GraphicState::m_isHeaderFooterOpened

a flag to know if the header footer is started

bool STOFFGraphicListenerInternal::GraphicState::m_isHeaderFooterRegionOpened

a flag to know if the header footer region is started

bool STOFFGraphicListenerInternal::GraphicState::m_isMasterPageSpanOpened

true if a masterpage is open

bool STOFFGraphicListenerInternal::GraphicState::m_isPageSpanOpened

true if a page is open

librevenge::RVNGPropertyList STOFFGraphicListenerInternal::GraphicState::m_metaData

the document meta data

std::vector<STOFFPageSpan> STOFFGraphicListenerInternal::GraphicState::m_pageList

the pages definition

STOFFPageSpan STOFFGraphicListenerInternal::GraphicState::m_pageSpan

! the current page span

std::vector<int> STOFFGraphicListenerInternal::GraphicState::m_sentListMarkers

the list of marker corresponding to sent list

std::vector<STOFFSubDocumentPtr> STOFFGraphicListenerInternal::GraphicState::m_subDocuments

the list of actual subdocument

The documentation for this struct was generated from the following file:

- STOFFGraphicListener.cxx